| Version: 3.0.4

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
wxTrackable Class Reference
Class List by Category » Smart Pointers

`#include <wx/tracker.h>`

Inheritance diagram for wxTrackable:
[legend]

## Detailed Description

Add-on base class for a trackable object.

This class maintains an internal linked list of classes of type wxTrackerNode and calls OnObjectDestroy() on them if this object is destroyed. The most common usage is by using the wxWeakRef<T> class template which automates this. This class has no public API. Its only use is by deriving another class from it to make it trackable.

class MyClass: public Foo, public wxTrackable
{
// whatever
}
typedef wxWeakRef<MyClass> MyClassRef;

##

Library: wxBase
Category: Smart Pointers